package com.alterdekim.hearthhack.game;

public enum GameState {
    CreateGame,
    CreateDecks,
    CreateHeroes,
    Running;

    public static GameState next(GameState state) {
        GameState[] states = GameState.values();
        int i = state.ordinal()+1 >= states.length ? 0 : state.ordinal()+1;
        return states[i];
    }
}
